CFLAGS=		/DEBUG/NOLIST
hfiles=		qcalc.h-
		mconf.h-
		ehead.h-

ofiles=		ieetst.obj-
		elog.obj-
		esqrt.obj-
		econst.obj-
		drand.obj-
		eexp.obj-
		etanh.obj-
		etodec.obj-
		epow.obj-
		ieee.obj-
		mtherr.obj-

pfiles=		eparanoi.obj-
		elog.obj-
		esqrt.obj-
		econst.obj-
		drand.obj-
		eexp.obj-
		etanh.obj-
		etodec.obj-
		epow.obj-
		ieee.obj-
		mtherr.obj-

cfiles=		ecalc.obj-
		elog.obj-
		esqrt.obj-
		econst.obj-
		drand.obj-
		eexp.obj-
		etanh.obj-
		etodec.obj-
		epow.obj-
		ieee.obj-
		mtherr.obj-

all : ieetst.exe eparanoi.exe ecalc.exe
	
ieetst.exe : $(ofiles)
	LINK  ieetst/option
eparanoi.exe : $(pfiles)
	LINK  eparanoi/option
ecalc.exe : $(cfiles)
	LINK  ecalc/option
econst.obj : econst.c,$(HFILES)
    CC $(CFLAGS) econst.c
elog.obj : elog.c,$(HFILES)
    CC $(CFLAGS) elog.c
esqrt.obj : esqrt.c,$(HFILES)
    CC $(CFLAGS) esqrt
ieetst.obj : ieetst.c,$(HFILES)
    CC $(CFLAGS) ieetst.c
drand.obj : drand.c,$(HFILES)
    CC $(CFLAGS) drand.c
eexp.obj : eexp.c,$(HFILES)
    CC $(CFLAGS) eexp.c
etanh.obj : etanh.c,$(HFILES)
    CC $(CFLAGS) etanh
ecalc.obj : ecalc.c,$(HFILES)
    CC $(CFLAGS) ecalc.c
etodec.obj : etodec.c,$(HFILES)
    CC $(CFLAGS) etodec
epow.obj : epow.c,$(HFILES)
    CC $(CFLAGS) epow.c
ieee.obj : ieee.c,$(HFILES)
    CC $(CFLAGS) ieee.c
mtherr.obj : mtherr.c,$(HFILES)
    CC $(CFLAGS) mtherr.c

